#
# spec file for package perl-Dist-Zilla
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Dist-Zilla
Name:           perl-Dist-Zilla
Version:        6.32.0
Release:        1.3
# 6.032 -> normalize -> 6.32.0
%define cpan_version 6.032
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Distribution builder; installer not included!
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(App::Cmd::Command::version)
BuildRequires:  perl(App::Cmd::Setup) >= 0.330
BuildRequires:  perl(App::Cmd::Tester) >= 0.306
BuildRequires:  perl(App::Cmd::Tester::CaptureExternal)
BuildRequires:  perl(Archive::Tar)
BuildRequires:  perl(CPAN::Meta::Check) >= 0.011
BuildRequires:  perl(CPAN::Meta::Converter) >= 2.101550
BuildRequires:  perl(CPAN::Meta::Merge)
BuildRequires:  perl(CPAN::Meta::Prereqs) >= 2.120630
BuildRequires:  perl(CPAN::Meta::Requirements) >= 2.121
BuildRequires:  perl(CPAN::Meta::Validator) >= 2.101550
BuildRequires:  perl(CPAN::Uploader) >= 0.103004
BuildRequires:  perl(Config::INI::Reader)
BuildRequires:  perl(Config::MVP) >= 2.200011
BuildRequires:  perl(Config::MVP::Assembler)
BuildRequires:  perl(Config::MVP::Assembler::WithBundles) >= 2.200010
BuildRequires:  perl(Config::MVP::Reader) >= 2.101540
BuildRequires:  perl(Config::MVP::Reader::Findable::ByExtension)
BuildRequires:  perl(Config::MVP::Reader::Finder)
BuildRequires:  perl(Config::MVP::Reader::INI) >= 2.101461
BuildRequires:  perl(Config::MVP::Section) >= 2.200009
BuildRequires:  perl(Data::Section) >= 0.200002
BuildRequires:  perl(DateTime) >= 0.44
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(ExtUtils::Manifest) >= 1.66
BuildRequires:  perl(File::Copy::Recursive) >= 0.41
BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(File::ShareDir)
BuildRequires:  perl(File::ShareDir::Install) >= 0.06
BuildRequires:  perl(File::pushd)
BuildRequires:  perl(JSON::MaybeXS)
BuildRequires:  perl(List::Util) >= 1.45
BuildRequires:  perl(Log::Dispatchouli) >= 1.102220
BuildRequires:  perl(Mixin::Linewise::Readers) >= 0.100
BuildRequires:  perl(Module::CoreList)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moose) >= 0.92
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(MooseX::LazyRequire)
BuildRequires:  perl(MooseX::Role::Parameterized) >= 1.01
BuildRequires:  perl(MooseX::SetOnce)
BuildRequires:  perl(MooseX::Types)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(MooseX::Types::Perl)
BuildRequires:  perl(PPI::Document) >= 1.222
BuildRequires:  perl(Params::Util)
BuildRequires:  perl(Path::Tiny) >= 0.052
BuildRequires:  perl(Perl::PrereqScanner) >= 1.016
BuildRequires:  perl(Pod::Simple)
BuildRequires:  perl(Software::License) >= 0.104001
BuildRequires:  perl(Software::License::None)
BuildRequires:  perl(Software::LicenseUtils)
BuildRequires:  perl(String::Formatter) >= 0.100680
BuildRequires:  perl(String::RewritePrefix) >= 0.006
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Sub::Exporter::ForMethods)
BuildRequires:  perl(Sub::Exporter::Util)
BuildRequires:  perl(Term::ANSIColor) >= 5.00
BuildRequires:  perl(Term::Encoding)
BuildRequires:  perl(Term::ReadKey)
BuildRequires:  perl(Term::UI)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::FailWarnings)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::File::ShareDir)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Text::Glob) >= 0.08
BuildRequires:  perl(Text::Template)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(YAML::Tiny)
BuildRequires:  perl(autodie)
BuildRequires:  perl(experimental)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(parent)
BuildRequires:  perl(version)
Requires:       perl(App::Cmd::Command::version)
Requires:       perl(App::Cmd::Setup) >= 0.330
Requires:       perl(App::Cmd::Tester) >= 0.306
Requires:       perl(App::Cmd::Tester::CaptureExternal)
Requires:       perl(Archive::Tar)
Requires:       perl(CPAN::Meta::Converter) >= 2.101550
Requires:       perl(CPAN::Meta::Merge)
Requires:       perl(CPAN::Meta::Prereqs) >= 2.120630
Requires:       perl(CPAN::Meta::Requirements) >= 2.121
Requires:       perl(CPAN::Meta::Validator) >= 2.101550
Requires:       perl(CPAN::Uploader) >= 0.103004
Requires:       perl(Config::INI::Reader)
Requires:       perl(Config::MVP) >= 2.200011
Requires:       perl(Config::MVP::Assembler)
Requires:       perl(Config::MVP::Assembler::WithBundles) >= 2.200010
Requires:       perl(Config::MVP::Reader) >= 2.101540
Requires:       perl(Config::MVP::Reader::Findable::ByExtension)
Requires:       perl(Config::MVP::Reader::Finder)
Requires:       perl(Config::MVP::Reader::INI) >= 2.101461
Requires:       perl(Config::MVP::Section) >= 2.200009
Requires:       perl(Data::Section) >= 0.200002
Requires:       perl(DateTime) >= 0.44
Requires:       perl(ExtUtils::Manifest) >= 1.66
Requires:       perl(File::Copy::Recursive) >= 0.41
Requires:       perl(File::Find::Rule)
Requires:       perl(File::ShareDir)
Requires:       perl(File::ShareDir::Install) >= 0.03
Requires:       perl(File::pushd)
Requires:       perl(JSON::MaybeXS)
Requires:       perl(List::Util) >= 1.45
Requires:       perl(Log::Dispatchouli) >= 1.102220
Requires:       perl(Mixin::Linewise::Readers) >= 0.100
Requires:       perl(Module::CoreList)
Requires:       perl(Module::Runtime)
Requires:       perl(Moose) >= 0.92
Requires:       perl(Moose::Role)
Requires:       perl(Moose::Util::TypeConstraints)
Requires:       perl(MooseX::LazyRequire)
Requires:       perl(MooseX::Role::Parameterized) >= 1.01
Requires:       perl(MooseX::SetOnce)
Requires:       perl(MooseX::Types)
Requires:       perl(MooseX::Types::Moose)
Requires:       perl(MooseX::Types::Perl)
Requires:       perl(PPI::Document) >= 1.222
Requires:       perl(Params::Util)
Requires:       perl(Path::Tiny) >= 0.052
Requires:       perl(Perl::PrereqScanner) >= 1.016
Requires:       perl(Pod::Simple)
Requires:       perl(Software::License) >= 0.104001
Requires:       perl(Software::LicenseUtils)
Requires:       perl(String::Formatter) >= 0.100680
Requires:       perl(String::RewritePrefix) >= 0.006
Requires:       perl(Sub::Exporter)
Requires:       perl(Sub::Exporter::ForMethods)
Requires:       perl(Sub::Exporter::Util)
Requires:       perl(Term::ANSIColor) >= 5.00
Requires:       perl(Term::Encoding)
Requires:       perl(Term::ReadKey)
Requires:       perl(Term::UI)
Requires:       perl(Test::Deep)
Requires:       perl(Text::Glob) >= 0.08
Requires:       perl(Text::Template)
Requires:       perl(Try::Tiny)
Requires:       perl(YAML::Tiny)
Requires:       perl(autodie)
Requires:       perl(experimental)
Requires:       perl(namespace::autoclean)
Requires:       perl(parent)
Requires:       perl(version)
Provides:       perl(Dist::Zilla) = %{version}
Provides:       perl(Dist::Zilla::App) = %{version}
Provides:       perl(Dist::Zilla::App::Command) = %{version}
Provides:       perl(Dist::Zilla::App::Command::add) = %{version}
Provides:       perl(Dist::Zilla::App::Command::authordeps) = %{version}
Provides:       perl(Dist::Zilla::App::Command::build) = %{version}
Provides:       perl(Dist::Zilla::App::Command::clean) = %{version}
Provides:       perl(Dist::Zilla::App::Command::install) = %{version}
Provides:       perl(Dist::Zilla::App::Command::listdeps) = %{version}
Provides:       perl(Dist::Zilla::App::Command::new) = %{version}
Provides:       perl(Dist::Zilla::App::Command::nop) = %{version}
Provides:       perl(Dist::Zilla::App::Command::release) = %{version}
Provides:       perl(Dist::Zilla::App::Command::run) = %{version}
Provides:       perl(Dist::Zilla::App::Command::setup) = %{version}
Provides:       perl(Dist::Zilla::App::Command::smoke) = %{version}
Provides:       perl(Dist::Zilla::App::Command::test) = %{version}
Provides:       perl(Dist::Zilla::App::Command::version) = %{version}
Provides:       perl(Dist::Zilla::App::Tester) = %{version}
Provides:       perl(Dist::Zilla::Chrome::Term) = %{version}
Provides:       perl(Dist::Zilla::Chrome::Test) = %{version}
Provides:       perl(Dist::Zilla::Dist::Builder) = %{version}
Provides:       perl(Dist::Zilla::Dist::Minter) = %{version}
Provides:       perl(Dist::Zilla::File::FromCode) = %{version}
Provides:       perl(Dist::Zilla::File::InMemory) = %{version}
Provides:       perl(Dist::Zilla::File::OnDisk) = %{version}
Provides:       perl(Dist::Zilla::MVP::Assembler) = %{version}
Provides:       perl(Dist::Zilla::MVP::Assembler::GlobalConfig) = %{version}
Provides:       perl(Dist::Zilla::MVP::Assembler::Zilla) = %{version}
Provides:       perl(Dist::Zilla::MVP::Reader::Finder) = %{version}
Provides:       perl(Dist::Zilla::MVP::Reader::Perl) = %{version}
Provides:       perl(Dist::Zilla::MVP::RootSection) = %{version}
Provides:       perl(Dist::Zilla::MVP::Section) = %{version}
Provides:       perl(Dist::Zilla::MintingProfile::Default) = %{version}
Provides:       perl(Dist::Zilla::Path) = %{version}
Provides:       perl(Dist::Zilla::Plugin::AutoPrereqs) = %{version}
Provides:       perl(Dist::Zilla::Plugin::AutoVersion) = %{version}
Provides:       perl(Dist::Zilla::Plugin::CPANFile) = %{version}
Provides:       perl(Dist::Zilla::Plugin::ConfirmRelease) = %{version}
Provides:       perl(Dist::Zilla::Plugin::DistINI) = %{version}
Provides:       perl(Dist::Zilla::Plugin::Encoding) = %{version}
Provides:       perl(Dist::Zilla::Plugin::ExecDir) = %{version}
Provides:       perl(Dist::Zilla::Plugin::ExtraTests) = %{version}
Provides:       perl(Dist::Zilla::Plugin::FakeRelease) = %{version}
Provides:       perl(Dist::Zilla::Plugin::FileFinder::ByName) = %{version}
Provides:       perl(Dist::Zilla::Plugin::FileFinder::Filter) = %{version}
Provides:       perl(Dist::Zilla::Plugin::FinderCode) = %{version}
Provides:       perl(Dist::Zilla::Plugin::GatherDir) = %{version}
Provides:       perl(Dist::Zilla::Plugin::GatherDir::Template) = %{version}
Provides:       perl(Dist::Zilla::Plugin::GatherFile) = %{version}
Provides:       perl(Dist::Zilla::Plugin::GenerateFile) = %{version}
Provides:       perl(Dist::Zilla::Plugin::InlineFiles) = %{version}
Provides:       perl(Dist::Zilla::Plugin::License) = %{version}
Provides:       perl(Dist::Zilla::Plugin::MakeMaker) = %{version}
Provides:       perl(Dist::Zilla::Plugin::MakeMaker::Runner) = %{version}
Provides:       perl(Dist::Zilla::Plugin::Manifest) = %{version}
Provides:       perl(Dist::Zilla::Plugin::ManifestSkip) = %{version}
Provides:       perl(Dist::Zilla::Plugin::MetaConfig) = %{version}
Provides:       perl(Dist::Zilla::Plugin::MetaJSON) = %{version}
Provides:       perl(Dist::Zilla::Plugin::MetaNoIndex) = %{version}
Provides:       perl(Dist::Zilla::Plugin::MetaResources) = %{version}
Provides:       perl(Dist::Zilla::Plugin::MetaTests) = %{version}
Provides:       perl(Dist::Zilla::Plugin::MetaYAML) = %{version}
Provides:       perl(Dist::Zilla::Plugin::ModuleBuild) = %{version}
Provides:       perl(Dist::Zilla::Plugin::ModuleShareDirs) = %{version}
Provides:       perl(Dist::Zilla::Plugin::NextRelease) = %{version}
Provides:       perl(Dist::Zilla::Plugin::PkgDist) = %{version}
Provides:       perl(Dist::Zilla::Plugin::PkgVersion) = %{version}
Provides:       perl(Dist::Zilla::Plugin::PodCoverageTests) = %{version}
Provides:       perl(Dist::Zilla::Plugin::PodSyntaxTests) = %{version}
Provides:       perl(Dist::Zilla::Plugin::PodVersion) = %{version}
Provides:       perl(Dist::Zilla::Plugin::Prereqs) = %{version}
Provides:       perl(Dist::Zilla::Plugin::PruneCruft) = %{version}
Provides:       perl(Dist::Zilla::Plugin::PruneFiles) = %{version}
Provides:       perl(Dist::Zilla::Plugin::Readme) = %{version}
Provides:       perl(Dist::Zilla::Plugin::RemovePrereqs) = %{version}
Provides:       perl(Dist::Zilla::Plugin::ShareDir) = %{version}
Provides:       perl(Dist::Zilla::Plugin::TemplateModule) = %{version}
Provides:       perl(Dist::Zilla::Plugin::TestRelease) = %{version}
Provides:       perl(Dist::Zilla::Plugin::UploadToCPAN) = %{version}
Provides:       perl(Dist::Zilla::PluginBundle::Basic) = %{version}
Provides:       perl(Dist::Zilla::PluginBundle::Classic) = %{version}
Provides:       perl(Dist::Zilla::PluginBundle::FakeClassic) = %{version}
Provides:       perl(Dist::Zilla::PluginBundle::Filter) = %{version}
Provides:       perl(Dist::Zilla::Pragmas) = %{version}
Provides:       perl(Dist::Zilla::Prereqs) = %{version}
Provides:       perl(Dist::Zilla::Role::AfterBuild) = %{version}
Provides:       perl(Dist::Zilla::Role::AfterMint) = %{version}
Provides:       perl(Dist::Zilla::Role::AfterRelease) = %{version}
Provides:       perl(Dist::Zilla::Role::ArchiveBuilder) = %{version}
Provides:       perl(Dist::Zilla::Role::BeforeArchive) = %{version}
Provides:       perl(Dist::Zilla::Role::BeforeBuild) = %{version}
Provides:       perl(Dist::Zilla::Role::BeforeMint) = %{version}
Provides:       perl(Dist::Zilla::Role::BeforeRelease) = %{version}
Provides:       perl(Dist::Zilla::Role::BuildPL) = %{version}
Provides:       perl(Dist::Zilla::Role::BuildRunner) = %{version}
Provides:       perl(Dist::Zilla::Role::Chrome) = %{version}
Provides:       perl(Dist::Zilla::Role::ConfigDumper) = %{version}
Provides:       perl(Dist::Zilla::Role::EncodingProvider) = %{version}
Provides:       perl(Dist::Zilla::Role::ExecFiles) = %{version}
Provides:       perl(Dist::Zilla::Role::File) = %{version}
Provides:       perl(Dist::Zilla::Role::FileFinder) = %{version}
Provides:       perl(Dist::Zilla::Role::FileFinderUser) = %{version}
Provides:       perl(Dist::Zilla::Role::FileGatherer) = %{version}
Provides:       perl(Dist::Zilla::Role::FileInjector) = %{version}
Provides:       perl(Dist::Zilla::Role::FileMunger) = %{version}
Provides:       perl(Dist::Zilla::Role::FilePruner) = %{version}
Provides:       perl(Dist::Zilla::Role::InstallTool) = %{version}
Provides:       perl(Dist::Zilla::Role::LicenseProvider) = %{version}
Provides:       perl(Dist::Zilla::Role::MetaProvider) = %{version}
Provides:       perl(Dist::Zilla::Role::MintingProfile) = %{version}
Provides:       perl(Dist::Zilla::Role::MintingProfile::ShareDir) = %{version}
Provides:       perl(Dist::Zilla::Role::ModuleMaker) = %{version}
Provides:       perl(Dist::Zilla::Role::MutableFile) = %{version}
Provides:       perl(Dist::Zilla::Role::NameProvider) = %{version}
Provides:       perl(Dist::Zilla::Role::PPI) = %{version}
Provides:       perl(Dist::Zilla::Role::Plugin) = %{version}
Provides:       perl(Dist::Zilla::Role::PluginBundle) = %{version}
Provides:       perl(Dist::Zilla::Role::PluginBundle::Easy) = %{version}
Provides:       perl(Dist::Zilla::Role::PrereqScanner) = %{version}
Provides:       perl(Dist::Zilla::Role::PrereqSource) = %{version}
Provides:       perl(Dist::Zilla::Role::ReleaseStatusProvider) = %{version}
Provides:       perl(Dist::Zilla::Role::Releaser) = %{version}
Provides:       perl(Dist::Zilla::Role::ShareDir) = %{version}
Provides:       perl(Dist::Zilla::Role::Stash) = %{version}
Provides:       perl(Dist::Zilla::Role::Stash::Authors) = %{version}
Provides:       perl(Dist::Zilla::Role::Stash::Login) = %{version}
Provides:       perl(Dist::Zilla::Role::StubBuild) = %{version}
Provides:       perl(Dist::Zilla::Role::TestRunner) = %{version}
Provides:       perl(Dist::Zilla::Role::TextTemplate) = %{version}
Provides:       perl(Dist::Zilla::Role::VersionProvider) = %{version}
Provides:       perl(Dist::Zilla::Stash::Mint) = %{version}
Provides:       perl(Dist::Zilla::Stash::PAUSE) = %{version}
Provides:       perl(Dist::Zilla::Stash::Rights) = %{version}
Provides:       perl(Dist::Zilla::Stash::User) = %{version}
Provides:       perl(Dist::Zilla::Tester) = %{version}
Provides:       perl(Dist::Zilla::Tutorial) = %{version}
Provides:       perl(Dist::Zilla::Types) = %{version}
Provides:       perl(Dist::Zilla::Util) = %{version}
Provides:       perl(Dist::Zilla::Util::AuthorDeps) = %{version}
Provides:       perl(Test::DZil) = %{version}
%undefine       __perllib_provides
Recommends:     perl(App::cpanminus)
Recommends:     perl(Archive::Tar::Wrapper) >= 0.15
Recommends:     perl(Data::OptList) >= 0.110
Recommends:     perl(Term::ReadLine::Gnu)
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  timezone
# MANUAL END

%description
Dist::Zilla builds distributions of code to be uploaded to the CPAN. In
this respect, it is like ExtUtils::MakeMaker, Module::Build, or
Module::Install. Unlike those tools, however, it is not also a system for
installing code that has been downloaded from the CPAN. Since it's only run
by authors, and is meant to be run on a repository checkout rather than on
published, released code, it can do much more than those tools, and is free
to make much more ludicrous demands in terms of prerequisites.

If you have access to the web, you can learn more and find an interactive
tutorial at *at https://dzil.org/*. If not, try Dist::Zilla::Tutorial.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sun Jun 23 2024 Tina Müller <tina.mueller@suse.com>
- updated to 6.32.0 (6.032)
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.032     2024-05-25 12:30:02-04:00 America/New_York
  - UploadToCPAN errors will distinguish between "couldn't find password"
    and "something went wrong trying to get password"
  - UploadToCPAN can now use any Login-type stash for credentials, not
    just a PAUSE-class stash
* Fri Mar  8 2024 Tina Müller <tina.mueller@suse.com>
- Fix disabling of __perllib_provides
* Tue Nov 21 2023 Tina Müller <timueller+perl@suse.de>
- updated to 6.031
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.031     2023-11-20 19:49:23-05:00 America/New_York
  - avoid some warnings on platforms without symlinks; (thanks, reneeb!)
* Fri Jan 20 2023 Tina Müller <timueller+perl@suse.de>
- updated to 6.030
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.030     2023-01-18 21:36:40-05:00 America/New_York
  - "dzil new" will use command line options before configuration
  - "dzil add" now falls back to %%Mint stash options before defaults
    (for both of the above: thanks, Graham Knop!)
* Sat Nov 26 2022 Tina Müller <timueller+perl@suse.de>
- updated to 6.029
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.029     2022-11-25 17:02:33-05:00 America/New_York
  - update some links to use https instead of http (thanks, Elvin
    Aslanov)
  - turn on strict and warnings in generated author tests (thanks, Mark
    Flickinger)
  - use "v1.2.3" for multi-dot versions in "package NAME VERSION" formats
    (thanks, Branislav Zahradník)
  - fixes to operation on msys (thanks, Paulo Custodio)
  - add "main_module" option to MakeMaker (thanks, Tatsuhiko Miyagawa)
  - fix authordeps behavior; don't add an object to @INC (thanks, Shoichi
    Kaji)
* Thu Nov 10 2022 Tina Müller <timueller+perl@suse.de>
- updated to 6.028
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.028     2022-11-09 10:54:14-05:00 America/New_York
  - remove bogus work-in-progress signatures-using commit from 6.027;
    that was a bad release! thanks for the heads-up about it to Gianni
    "dakkar" Ceccarelli!
* Mon Nov  7 2022 Tina Müller <timueller+perl@suse.de>
- updated to 6.027
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.027     2022-11-06 17:52:20-05:00 America/New_York
  - if DZIL_COLOR is set to 0, override auto-detection
* Sun May 29 2022 Tina Müller <timueller+perl@suse.de>
- updated to 6.025
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.025     2022-05-28 11:55:35-04:00 America/New_York
  - eliminate use of multidimensional array emulation
* Mon Aug  2 2021 Tina Müller <timueller+perl@suse.de>
- updated to 6.024
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.024     2021-08-01 15:38:44-04:00 America/New_York
  - pass the dist name to Software::License as the program name
    (thanks, Van de Bugger!)
  - create the ArchiveBuilder role for building the archive file
    (thanks, Graham Ollis!)
* Wed Jul  7 2021 Tina Müller <timueller+perl@suse.de>
- updated to 6.023
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.023     2021-07-06 21:37:37-04:00 America/New_York
  - tweak the autoprereqs tests to avoid failing when List::MoreUtils
    (which DZ does not actually need) is not installed)
* Mon Jun 28 2021 Tina Müller <timueller+perl@suse.de>
- updated to 6.022
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.022     2021-06-27 21:36:53-04:00 America/New_York
  - remove dependency on Class::Load, which is not used
  - bump prereq on PPI to 1.222, which is now used in PkgVersion
    (thanks, Dan Book and Sven Kirmess)
  6.021     2021-06-27 21:31:21-04:00 America/New_York
  - [ broken release, don't bother ]
* Tue Jun 15 2021 Tina Müller <timueller+perl@suse.de>
- updated to 6.020
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.020     2021-06-14 12:16:09-04:00 America/New_York
  - The log colorization code was trying to use 24-bit color even when
    the installed Term::ANSIColor couldn't support it.  This has been
    fixed by requiring Term::ANSIColor v5.  Thanks, Robert Rothenberg,
    Michael McClimon, and Matthew Horsfall.
  6.019     2021-06-13 08:39:14-04:00 America/New_York
  - When using "use_package" in PkgVersion, do not eradicate the entire
    block of "package NAME BLOCK" syntax!  Wow, what a bug...
  6.018     2021-04-03 21:07:54-04:00 America/New_York (TRIAL RELEASE)
  - add Test::CleanNamespaces, clean all namespaces
  - add the same boilerplate of version/pragma/features to every module
  - colorize logger prefix when running in a terminal
* Tue Nov  3 2020 Tina Müller <timueller+perl@suse.de>
- updated to 6.017
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.017     2020-11-02 19:30:21-05:00 America/New_York
  - replace broken 6.016, released from a confused git repo
  6.016     2020-11-02 19:27:18-05:00 America/New_York (TRIAL RELEASE)
  - the test generated by [MetaTests] is now an author test, not a
    release test (thanks, Karen Etheridge)
  - UploadToCPAN will now retry (thanks, PERLANCAR)
  - some bug fixes for msys (thanks, Håkon Hægland)
* Sat May 30 2020 Tina Müller <timueller+perl@suse.de>
  updated to 6.015
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.015     2020-05-29 14:30:51-04:00 America/New_York
  - add docs for "dzil release -j" (thanks, Jonas B. Nielsen)
  - fix support for dist.pl (why??? 🙂) (thanks, Kent Frederic)
  - remove unnecessary check for Pod::Simple being loaded (Dave Lambley)
* Mon Mar  2 2020 <timueller+perl@suse.de>
- updated to 6.014
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.014     2020-03-01 04:26:38-05:00 America/New_York
  - some doc improvements by Shlomi Fish
  - cope with E<...> in abstracts (thanks, Dave Lambley!)
  - Respect jobs number in HARNESS_OPTIONS (thanks, Leon Timmermans!)
  - Add --jobs argument to dzil release (thanks, Leon Timmermans!)
  - replace uses of File::HomeDir with a simple glob (thanks, Karen
    Etheridge!)
  - fix interaction of TRIAL comment and BEGIN block in PkgVersion
    (thanks, Michael Conrad and Felix Ostmann)
  - fix documentation for default NextRelease format (thanks, Dan Book!)
  - the build directory is also added to @INC when evaluating 'dzil
    authordeps --missing' (thanks, Karen Etheridge!)
  - add comments to generated CPANfile saying "don't edit me!"
    (thanks Doug Bell)
  - tests for [CPANFile] (thanks, Daniel Böhmer)
* Tue Apr 24 2018 coolo@suse.com
- updated to 6.012
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
* Mon Apr 23 2018 coolo@suse.com
- updated to 6.012
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
* Sun Apr 22 2018 coolo@suse.com
- updated to 6.012
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.012     2018-04-21 10:20:21+02:00 Europe/Oslo
  - revert addition of Archive::Tar::Wrapper as a mandatory prereq (in
    release 6.011).
  - require a version of Config::MVP that adds the cwd back to @INC
  - record the perl version being used into META file
  - tiny fix to help output for "dzil new"
* Mon Feb 12 2018 coolo@suse.com
- updated to 6.011
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.011     2018-02-11 12:57:02-05:00 America/New_York
  - stashes can now be added in [%%Stash] form from a bundle (thanks,
    Karen Etheridge)
  - use $V env var as an override, when set, in [AutoVersion]
    (thanks, Karen Etheridge)
  - all remaining uses of Class::Load are replaced with Module::Runtime
    (thanks, Karen Etheridge)
* Tue Jul 11 2017 coolo@suse.com
- updated to 6.010
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.010     2017-07-10 09:22:16-04:00 America/New_York
  - a few documentation improvements (thanks, Chase Whitener, Mary
    Ehlers, and Jonas B. Nielsen)
  - improve behavior under a noninteractive terminal
  - empty file finders should now consistently return []
* Sun Mar  5 2017 coolo@suse.com
- updated to 6.009
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.009     2017-03-04 11:16:37-05:00 America/New_York
  - update DateTime::TimeZone prereq on Win32 to improve workingness
    (thanks, Schwern!)
  - add --recommends and --requires and --suggests to listdeps
  - improve testing of listdeps (thanks, Mickey Nasriachi!)
  - Module::Runtime is now considered 'internal' for the purpose of
    carping (thanks, Karen Etheridge!)
  - ./tmp is now pruned by PruneCruft (thanks, Karent Etheridge!)
  - authordeps now picks up :version for the root section (thanks,
    Karen!)
  - the config loading of the "perl" config loader is more reliable, but
    still please don't use it (thanks, Karen!)
  - introducing a new plugin, [GatherFile], to support adding individual
    files to the distribution (thanks, Karen!)
* Fri Oct  7 2016 coolo@suse.com
- updated to 6.008
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.008     2016-10-05 21:35:23-04:00 America/New_York
  - fix the skip message from ExtraTests (thanks, Roy Ivy Ⅲ!)
  - cope with error changes in latest Moose (thanks, Karen Etheridge and
    Dave Rolsky)
  - always stringify $] in MetaConfig to avoid losing trailing zeroes
    through numification (thanks, Karen Etheridge!)
* Sun Aug  7 2016 coolo@suse.com
- updated to 6.007
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.007     2016-08-06 14:04:39-04:00 America/New_York
  - restrict [MetaYAML] to metaspec v1.4, [MetaJSON] to v2.0+, as other
    version combinations are not well-supported by the toolchain
* Wed Jul  6 2016 coolo@suse.com
- updated to 6.006
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.006     2016-07-04 10:56:36-04:00 America/New_York
  - add some documentation to Dist::Zilla::App::Tester (thanks, Alberto
    Simões!)
  - optimizations to regex munging (thanks, Olivier Mengué!)
  - add x_serialization_backend to META.* files (thanks, Karen
    Etheridge!)
  - metadata plugins are called before metadata defaults are built
    (thanks, Karen Etheridge!)
  - don't use ExtraTests plugin, but if you do, its generated test files
    are a bit faster when unused
* Sat May 28 2016 coolo@suse.com
- updated to 6.005
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.005     2016-05-23 08:08:15-04:00 America/New_York
  - NextRelease now dies if there's no changelog file found
    (thanks, Karen Etheridge)
  - Module::Runtime replaces Class::Load (thanks Olivier Mengué)
  6.004     2016-05-14 09:14:19-04:00 America/New_York (TRIAL RELEASE)
  - stop listing Path::Class as a prereq (thanks, Karen Etheridge)
  - update docs on path types (thanks, Graham Ollis)
  6.003     2016-04-24 19:23:46+01:00 Europe/London (TRIAL RELEASE)
  - leading BOM (FEFF) is stripped on UTF-8 content
  - PPI now handles characters, not bytes, fixing non-ASCII
    non-comments in your source
  6.002     2016-04-23 17:50:26+01:00 Europe/London (TRIAL RELEASE)
  - tweaks to Dist::Zilla::Path to keep plugins from v5 era working
  6.001     2016-04-23 13:21:56+01:00 Europe/London
    [THIS RELEASE MIGHT BREAK YOUR BUILD]
  - Using a Dist::Zilla::Path like a Path::Class object now issues a
    deprecation warning ("this will be removed") once per call site.
  6.000     2016-04-23 11:35:28+01:00 Europe/London (TRIAL RELEASE)
    [THIS RELEASE MIGHT BREAK YOUR BUILD]
  - Path::Class has been excised in favor of Path::Tiny, exposed as
    Dist::Zilla::Path; it will still respond to ->subdir and ->file, but
    only until Dist::Zilla v7 -- fix your plugins by then!
  - The --verbose switch to dzil is now strictly on/off.  To set
    verbosity on a per-plugin basis, use the -V switch.  Unfortunately,
    per-plugin verbosity seems to have been broken for some time, anyway.
  - The plugins [Prereq] and [AutoPrereq] and [BumpVersion] have been
    removed.  These were long deprecated.  (Don't confuse Prereq, for
    example, with the plural Prereqs, which is the correct plugin.)
  - [PkgVersion] now supports a use_package argument which will put the
    version in the package statement.  (Remember that this syntax was
    introduced in perl v5.12.0.)
  - Dist::Zilla now requires perl v5.14.0.  It will still happily build
    dists that run on whatever version of perl you like.
* Thu May  5 2016 coolo@suse.com
- updated to 5.047
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.047     2016-04-23 16:20:13+01:00 Europe/London
  - cast things to Path::Class as needed, for now, for v6 backcompat
    (don't expect more commits like this)
  5.046     2016-04-22 15:50:27+01:00 Europe/London
  - avoid using syntax that is called ambiguous on older perls
  5.045     2016-04-22 11:37:13+01:00 Europe/London
  - add 'relationship' option to AutoPrereqs plugin (Karen Etheridge)
  - PrereqScanner role abstracts much of the AutoPrereqs behavior
    (thanks, Olivier Mengué!)
  - remove duplicates from the results of the :ExecFiles filefinder
  - [MakeMaker] now rejects version ranges in prereqs if eumm_version is
    not specified to be high enough (7.1101) to guarantee it can be
    handled (Karen Etheridge)
  - allow comments in an authordep specification with a version
  - make FakeReleaser a bit more of a drop-in for UploadToCPAN
    (Erik Carlsson)
  - make PkgDist preserve blank line after 'package' for PkgVersion
    (Chisel Wright)
  - add rename option to [GatherDir::Template] (Alastair McGowan-Douglas)
  - META.json is now emitted in ASCII (using \u... for non-ASCII
    characters) to avoid a bug in older versions of JSON::PP on older
    versions of perl
  - "dzil build --in ." no longer allows you to blow away your cwd
* Thu Apr  7 2016 coolo@suse.com
- updated to 5.044
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.044     2016-04-06 20:32:14-04:00 America/New_York
  - require a newer List::Util to avoid a dumb bug caused by relying on
    side effects of loading Moose (thanks, Karen Etheridge!)
* Wed Jan 13 2016 coolo@suse.com
- updated to 5.043
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.043     2016-01-04 22:54:56-05:00 America/New_York
  - dzil test now supports --extended to set EXTENDED_TESTING (thanks,
    Philippe Bruhat)
* Sat Nov 28 2015 coolo@suse.com
- updated to 5.042
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.042     2015-11-26 09:05:37-05:00 America/New_York
  - try to avoid testing errors when the local time zone can't be
    determined (https://github.com/rjbs/Dist-Zilla/issues/497)
* Sat Oct 31 2015 coolo@suse.com
- updated to 5.041
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.041     2015-10-27 22:07:54-04:00 America/New_York
  - add 'static_attribution' attribution to MakeMaker plugin
  - fix prereqs for App::Cmd and Config::MVP::Reader::INI
* Fri Oct 16 2015 coolo@suse.com
- updated to 5.040
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.040     2015-10-13 11:42:25-04:00 America/New_York
  - the distribution tarball name no longer includes -TRIAL if the
    version contains an underscore
  - [PkgVersion] adds "$VERSION = $VERSION_SANS_UNDERSCORES" when
    version contains an underscore
  - made the PodCoverageTests and PodSyntaxTests plugins generate author
    tests, not release tests. These are tests you want passing on every
    commit, not just before a release (Dave Rolsky)
* Sun Aug 23 2015 coolo@suse.com
- updated to 5.039
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.039     2015-08-10 09:03:08-04:00 America/New_York
  - update required version of MooseX::Role::Parameterized; older
    versions work, but can cause a bunch of unwanted warnings
* Sat Aug  8 2015 coolo@suse.com
- updated to 5.038
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.038     2015-08-07 22:16:50-04:00 America/New_York
  - [License] can be given a filename option to use instead of LICENSE
  - dzil listdeps --develop now exists as an alias for dzil listdeps
  - -author (Karen Etheridge)
  - dzil authordeps now lists the Software::License class needed
    (thanks, David Zurborg)
  - PkgVersion now skips .pod files (thanks, David Golden)
  - build_element support added for [ModuleBuild] (thanks, David
    Wheeler!)
  - PkgVersion now skips .pod files (David Golden)
  - new native filefinder :ExtraTestFiles (thanks, Karen Etheridge)
  - [AutoPrereqs] now looks for develop prerequisites in xt/ (thanks,
    Karen Etheridge)
  - new file finder ':PerlExecFiles' (thanks, Karen Etheridge)
  - try harder to notice failure to set up build root, especially on
    Win32 (thanks, Christian Walde)
  - better errors when a global config package isn't available (thanks,
    Karen Etheridge)
  - added the "ignore" option to [Encoding] (thanks, Yanick Champoux)
  - allow ; authordep specifications to contain version ranges (thanks,
    Karen Etheridge)
  - better error when PAUSE credentials can't be loaded (thanks, David
    Golden)
  - fix documentation for the LicenseProvider role
  - improve errors when PPI failes to parse (thanks, Nick Tonkin)
  - sort list of executable files in Makefile.PL, for deterministic
    builds (thanks, Karen Etheridge)
  - omit configure-requires prerequisites from [MakeMaker]'s fallback
    prerequisites (used by older ExtUtils::MakeMaker)
* Sun Jun  7 2015 coolo@suse.com
- updated to 5.037
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.037     2015-06-04 21:46:38-04:00 America/New_York
  - issue a warning when version ranges are passed through to
    ExtUtils::MakeMaker, which cannot parse them and treats them as '0'
    https://github.com/Perl-Toolchain-Gang/ExtUtils-MakeMaker/issues/215
  - added %%P formatter code to [NextRelease] for the releaser's PAUSE id
* Sun May  3 2015 coolo@suse.com
- updated to 5.036
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.036     2015-05-02 11:08:51-04:00 America/New_York
  - BUGFIX: detection of trial status via underscore in version was
    accidentally lost in v5.035; restored now!
* Thu Apr 16 2015 coolo@suse.com
- updated to 5.035
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.035     2015-04-16 15:43:26+02:00 Europe/Berlin
  - BREAKING CHANGE: is_trial is now read-only
  - release_status is a new Dist::Zilla attribute and
    ReleaseStatusProvider plugin role
  5.034     2015-03-20 10:57:07-04:00 America/New_York
  - require new Config::MVP for better exceptions (that we rely on)
  - point to IRC in dist metadata
  5.033     2015-03-17 07:45:36-04:00 America/New_York
  - NextRelease now bases the new file on disk on the original file on
    disk, skipping any munging that happened in between
  - improve error message when a plugin can't be loaded
  - added "use_begin" option to PkgVersion
  5.032     2015-02-21 09:36:00-05:00 America/New_York
  - when :version is in plugin config, it's now enforced as soon as it's
    seen
  - add more documentation about bytes/text files
  - PruneCruft also prunes _eumm/* now
  5.031     2015-01-08 22:04:30-05:00 America/New_York
  - correct a test to avoid testing symlinks on Win32
  5.030     2015-01-04 22:31:38-05:00 America/New_York
  - fixed [GatherDir]'s handling of symlinks to directories
  - [AutoPrereqs] now filters out all namespaces found in contained
    modules, not just the one corresponding to the module filename
  5.029     2014-12-14 14:44:44-05:00 America/New_York
  - fix new error in [PkgVersion] when a module had no package
    statements
  - further rip out use of JSON.pm
  5.028     2014-12-12 19:06:23-05:00 America/New_York
  - fix regression in [PkgVersion] that made false-positive
    identifications for pre-existing assignments to $VERSION
  - try avoid cases in which plugin code directly modifies file list
  - switch, tentatively, to JSON::MaybeXS
  5.027     2014-12-09 09:30:30-05:00 America/New_York
  - fix regression in Plugin->plugin_from_config which started passing a
    list of pairs rather than a hashref
  5.026     2014-12-08 21:33:55-05:00 America/New_York
  - eliminate use of Moose::Autobox
  - various small performance optimizations
  - add "use_our" option to PkgVersion
  5.025     2014-11-10 21:12:14-05:00 America/New_York
  - fix file.t failures with perl v5.14 and v5.16's Carp
  5.024     2014-11-05 23:08:07-05:00 America/New_York
  - add the %%Mint stash for minting defaults
  - quiet down some low-priority log lines
  - teeny tiny optimization by building dist prereqs structure lazily
  - avoid ever requiring v0 of ExtUtils::MakeMaker
  - fix a module-loading ordering issue in `dzil setup`
  5.023     2014-10-30 22:56:42-04:00 America/New_York
  - optimizations to loading of heavyweight libraries in cmd line app
  - some tests are now skipped on Win32 to avoid filename insanity
  - files' added_by data should be more informative
  - conflicts with installed code is now detected and/or advertised
  5.022     2014-10-27 22:55:53-04:00 America/New_York
  - several optimizations to how PPI is used
  - handle an empty ABSTRACT better
  - now properly merging distmeta fragments together without loss, using
    new CPAN::Meta::Merge
  - create Makefile.PL and Build.PL files earlier, so they're in the file
    list "the whole time"
  5.021     2014-10-20 22:43:52-04:00 America/New_York
  - improve authordeps' ability to cope with version requirements and
    non-default plugin names
  - a few improvements to help given by "dzil help COMMAND"
  - fixes a situation where exclusion-regexp-building in GatherDir
    could mangle the given regexps
  - now properly merging distmeta fragments together without loss, using
    new CPAN::Meta::Merge (Karen Etheridge)
  - [PkgVersion] now properly skips over $VERSION assignments in
    comments (Karen Etheridge, github #322)
  - the building of manpages is supressed in [MakeMaker]-driven builds
  - lazily load quite a few more modules
  - avoid using user's ~/.dzil even more
  - while building dists for testing, don't bother building man pages
  - try harder to notice minimum required perl version
  - try harder to delete temporarily directory at the end of testing
  - don't treat $VERSION assignments in comments as $VERSION assignments
  - listdeps now takes --omit-core to skip core modules
  - don't try to use terminal encoding on locale-free systems
  - suggest the use of PPI::XS
  - speed up and debug behavior of GatherDir
  5.020     2014-07-28 20:56:25-04:00 America/New_York
  - the default required version for ExtUtils::MakeMaker in [MakeMaker]
    has been removed
  - load DateTime lazily
  - the default required version for Module::Build in [ModuleBuild] has
    been lowered
  5.019     2014-05-20 21:11:47-04:00 America/New_York
  - remove a very brief-lived attempt to double-decode
  5.018     2014-05-20 21:07:04-04:00 America/New_York
  - attempt to return abstract-from-file as a string, rather than
    bytes, which can lead to weirdness (github issue #303)
  5.017     2014-05-17 08:35:33-04:00 America/New_York
  - dotfiles and dot-directories are now included in sharedirs
  - ModuleBuild and MakeMake should not re-build if it isn't needed
  - authordeps now better understands "perl" dep
  - munging of README is delayed to prevent unneeded work and
    complication
  - MANIFEST is now treated as a binary file
  - 'dzil setup' now warns that credentials are stored in the clear
  - MakeMaker should include fewer empty and useless hashrefs
  - Makefile.old is now pruned as cruft
  5.016     2014-05-05 22:27:06-04:00 America/New_York
  - hint about [Encoding] plugin in encoding error message (David
    Golden)
  5.015     2014-03-30 21:55:36-04:00 America/New_York
  - make it easier to have multiple PAUSE configs using UploadToCPAN's
    pause_cfg_dir option (thanks, David Golden)
  5.014     2014-03-16 16:47:07+01:00 Europe/Paris
  - Added 'jobs' argument for 'dzil test' for parallel testing (thanks,
    David Golden!)
  - add default_jobs attribute to TestRunner role
  - fix the behavior of 'dzil add' with more than one file
    (thanks, Leon Timmermans!)
* Thu Feb 27 2014 coolo@suse.com
- buildrequire timezone to fix test suite
* Mon Feb 24 2014 coolo@suse.com
- updated to 5.013
  - META.json is now a UTF-8 file, rather than ASCII
  - document the use of filefinders in [PkgVersion], and remove
    filtering out of .t, .pod files; do skip non-text files, though
  - always load modules in "extra tests" like pod-coverage.t
  - PruneCruft also prunes ./fatlib
  - avoid being tricked by statements in __END__ section when looking for
    variable assignments
  - if "dzil install" fails due to exception, it is now propagated
  - provide a better error when terminal encoding can't be determined
  5.012     2014-01-15 09:58:00-05:00 America/New_York
  - when handling a multi-line abstract, fold the lines on whitespace;
    previously, the newlines had been left in, which caused downstream
    warnings
  5.011     2014-01-12 16:09:29-05:00 America/New_York
  - ->VERSION is again defined in the tester forms of Builder and Minter
  - remove a small obsolete code path from PkgVersion
  5.010     2014-01-11 22:06:04-05:00 America/New_York
  - stop sharing a reference to cached PPI docs, which led to spooky
    action at a distance
  - PkgVersion no longer surrounds the new $VERSION assignment with a
    bare block
  - if there's a blank line after the package statement (and any number
    of comment-only lines), PkgVersion will use that for a $VERSION
    assignment, rather than insert a new line; this can be made mandatory
    with die_on_line_insertion
  5.009     2014-01-07 20:21:17-05:00 America/New_York
  - include time offset by default in NextRelease
  - always pass PPI octets, not text
  5.008     2013-12-27 21:57:02 America/New_York
  - fix utterly broken `dzil run`
  5.007     2013-12-27 20:50:45-05:00 America/New_York
  - add the ability to say "dzil run --no-build" to run a command without
    building inside the dist dir
    (in other words, no `perl Makefile.PL && make`)
  - Archive::Tar::Wrapper added as a recommended prereq
  - fix :ShareFiles (thanks, Christopher J. Madsen and Karen Etheridge)
  - new :AllFiles and :NoFiles filefinders (thanks, Karen Etheridge)
  - most files generated by dzil plugins now self-identify with comments
* Mon Nov 25 2013 coolo@suse.com
- updated to 5.006
  - add ->is_bytes to files; shortcut for ->encoding eq 'bytes'
    (thanks, David Golden)
  - AutoPrereqs will not try scanning binary files (thanks, David Golden)
  - add --keep-build-dir to "dzil test" and "dzil install"
    [THIS RELEASE MIGHT BREAK YOUR BUILD]
  - stable release of all the v5 changes below; READ THEM!
  - by default, NextRelease now adds a trial release marker on trial
    releases
  - dzil setup will not echo password during setup
  - add "dzil --version" support (thanks, Upasana Shukla)
  - fix boneheaded mistake that broke listdeps in 5.002 (thanks, Karen
    Etheridge)
  - perform encoding steps during listdeps
  - typo fixes (thanks, David Steinbrunner)
  - all files now have content, encoded_content, and encoding attributes
  - the Encoding plugin and EncodingProvider role have been added to
    allow you to set the encoding on files; the default is UTF-8
  - config.ini is assumed to be in UTF-8
  - Data::Section sections are assumed to be UTF-8
  - the Term chrome should encode input and output
* Fri Oct  4 2013 coolo@suse.com
- updated to 4.300039
  - tweak metafile generator to keep CPAN::Meta validator happy (thanks,
    David Golden)
  4.300038  2013-09-08 09:18:34 America/New_York
  - add horrible hack to avoid generating non-UTF-8 META.yml; seriously,
    don't look at the code!  Thanks, David Golden, whose code was simple
    and probably much, much saner, but didn't cover as many cases as rjbs
    wanted to cover.
  4.300037  2013-08-28 21:43:36 America/New_York
  - update repo and bugtacker URLs
  4.300036  2013-08-25 21:41:21 America/New_York
  - read CPAN::Uploader config with CPAN::Uploader, to work with new
    trial releases supporting encrypted credential (thanks, Mike Doherty)
  - improve tester tests (thanks, Dave O'Neill!)
  - use Class::Load instead of Class::MOP
  - better error messages when a bundle can't be loaded by @Filter
  - make dynamic_config distmeta sticky; once one plugin sets it, it
    stays stuck
  - add a die_on_existing_version option to PkgVersion
  - switch (for now?) "dzil install" to use cpanm
  - PkgVersion won't rewrite file contents if nothing was changed
    (thanks, Mike Doherty!)
* Wed Jul 24 2013 coolo@suse.com
- updated to 4.300035
    update for new Perl::PrereqScanner, which will find "lib"
    update AutoPrereqs to skip Config and Errno
    fix docs to not suggest obsolete "Prereq" name (thanks, Ivan
    Bessarabov!)
  4.300034  2013-04-13 16:56:48 Europe/London
    delay loading of CPAN::Uploader, and require a newer version to
    require HTTPS (thanks, Olivier Mengué!)
  4.300033  2013-04-05 15:00:37 America/New_York
    fix .build/latest (thanks, Karen Etheridge!)
    doc fixes (thanks, Randy Stauner!)
  4.300032  2013-03-29 16:41:11 America/New_York
    test_requires support for ModuleBuild and MakeMaker (thanks,
    Tatsuhiko Miyagawa!)
  4.300031  2013-03-17 21:47:31 America/New_York
    stacktrace removed from exception when a plugin's minimum version
    check fails (thanks, Karen Etheridge!)
    add 'dzil listdeps --json', which lists all prerequisites broken up
    by phase and type, in readable JSON format (thanks, Karen Etheridge!)
    improve errors when there's not enough configuration and no global
    config file can be found (thanks, Dimitar Petrov)
    delay loading yet more libraries until needed (thanks, Olivier
    Mengué!)
  4.300030  2013-01-30 22:25:27 America/New_York
    listdeps --versions now sorts properly (thanks, Karen Etheridge!)
    delay loading more libraries until needed (thanks, Olivier Mengué!)
    excluded filenames in GatherDir were sometimes matched too fuzzily
    (thanks, Mike Doherty)
  4.300029  2013-01-14 20:03:15 America/New_York
    allow :version directive in root section to require a given version
    of Dist::Zilla
    simply and speedify some of GatherDir (Thanks, Olivier Mengué!)
  4.300028  2012-10-19 10:50:42 America/New_York
    when picking modules to treat as "part of the dist," be more lax in
    understanding libraries under ./t:  ./t/lib/Foo.pm is now treated as
    providing t::lib::Foo, lib::Foo, and Foo
  4.300027  2012-10-16 21:07:06 America/New_York
    the "latest" symlink code broke Dist::Zilla on win32; fixed now!
    (thanks, Brendan Byrd!)
  4.300026  2012-10-13 22:21:17 America/New_York
    PodSyntaxTests, PodCoverageTests and MetaTests now add the right
    develop/requires prereqs (thanks, Olivier Mengué and Ricardo Signes!)
    ModuleBuild now takes an mb_lib argument that can override the
    default of "inc" (thanks, ben hengst)
    create .build/latest symlink when a build in .build is built (thanks,
    Alexei Znamensky!)
* Thu Feb 23 2012 coolo@suse.com
- updated to 4.300009
    PruneCruft also excludes the _Inline/ directory and MYMETA.json
    MakeMaker has been refactored to make it easier to subclass
    (Thanks, Christopher J. Madsen!)
* Fri Feb 17 2012 coolo@suse.com
- updated to 4.300008
    work around qr//m bug in 5.8.8 and earlier (thanks, Randy Stauner!)
    Fix to MakeMaker plugin: use separate scope for code that changes
    namespace, when inserting ShareDir code. (RT#74788) (Karen Etheridge)
* Thu Feb 16 2012 coolo@suse.com
- updated to 4.300007
    Remove configs beginning with ':' from argument list before
    constructing that config; fixes issue where :version was
    being passed to a plugin that had a strict constructor. (Karen
    Etheridge)
* Mon Jan  9 2012 coolo@suse.com
- update to 4.300006, see Changes (a lot of those)
* Wed Jun  8 2011 coolo@novell.com
- updated to 4.200007
    always numify the version use in "use VERSION" in Makefile.PL
* Fri Apr 29 2011 coolo@opensuse.org
- updated to 4.200006
    MakeMaker-generated Makefile.PL now only has configure_requires of
    6.30 so dists can be installed on RHEL5
    improve consistency and options of *_TESTING env vars (Apocalypse)
    improve FileFinder-related documentation (thanks, Apocalypse)
    add a default file finder called :IncModules (thanks, Apocalypse)
    add a default file finder called :MainModule (thanks, Mateu X.
    Hunter)
    phase for named Prereqs defaults to Runtime if omitted (Jonathan Yu)
    extract the *Runner role implementations from ModuleBuild to
    Role::BuildPL (Leon Timmermans)
* Tue Apr 26 2011 coolo@opensuse.org
- updated to 4.200005
    provide actual name of releaser(s) in ConfirmRelease
    error message if "dzil run" is run without a command to run
    some minor refactoring in listdeps (Jon Rockway)
    listdeps can now skip already-met prereqs (Jesse Luehrs)
    authordeps now skips plugins under inc:: (Jesse Luehrs)
    authordeps now scans for "; authordep" comments
* Fri Apr 15 2011 coolo@opensuse.org
- updated to 4.200004
    Add Tests for Config::MVP 2.200 changes. ( Kent Fredric )
    MetaNoIndex, originally by J.T. Smith and Mark Gardner, is now
    included
    avoid test failures on systems where time zone can't be determined
    Test::DZil is now installed and available to other dist
    add --author to listdeps (Jesse Luehrs)
    better logging and error messages (Dave Rolsky, Jesse Luehrs)
    get abstract from main module more reliably (David Golden)
* Fri Jan 14 2011 coolo@novell.com
- initial package 4.200000
  * created by cpanspec 1.78.03
